javax.swing.text.html.parser

## Interface DTDConstants

- All Known Implementing Classes:
    AttributeList, DocumentParser, DTD, Element, Entity, Parser

      public interface DTDConstants

  SGML constants used in a DTD. The names of the constants correspond the the equivalent SGML constructs as described in "The SGML Handbook" by Charles F. Goldfarb.
  See Also:
    `DTD`, `Element`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ANY` |
    `static int` | `CDATA` |
    `static int` | `CONREF` |
    `static int` | `CURRENT` |
    `static int` | `DEFAULT` |
    `static int` | `EMPTY` |
    `static int` | `ENDTAG` |
    `static int` | `ENTITIES` |
    `static int` | `ENTITY` |
    `static int` | `FIXED` |
    `static int` | `GENERAL` |
    `static int` | `ID` |
    `static int` | `IDREF` |
    `static int` | `IDREFS` |
    `static int` | `IMPLIED` |
    `static int` | `MD` |
    `static int` | `MODEL` |
    `static int` | `MS` |
    `static int` | `NAME` |
    `static int` | `NAMES` |
    `static int` | `NMTOKEN` |
    `static int` | `NMTOKENS` |
    `static int` | `NOTATION` |
    `static int` | `NUMBER` |
    `static int` | `NUMBERS` |
    `static int` | `NUTOKEN` |
    `static int` | `NUTOKENS` |
    `static int` | `PARAMETER` |
    `static int` | `PI` |
    `static int` | `PUBLIC` |
    `static int` | `RCDATA` |
    `static int` | `REQUIRED` |
    `static int` | `SDATA` |
    `static int` | `STARTTAG` |
    `static int` | `SYSTEM` |

- - ### Field Detail

    - #### CDATA

          static final int CDATA

      See Also:
        Constant Field Values

    - #### ENTITY

          static final int ENTITY

      See Also:
        Constant Field Values

    - #### ENTITIES

          static final int ENTITIES

      See Also:
        Constant Field Values

    - #### ID

          static final int ID

      See Also:
        Constant Field Values

    - #### IDREF

          static final int IDREF

      See Also:
        Constant Field Values

    - #### IDREFS

          static final int IDREFS

      See Also:
        Constant Field Values

    - #### NAME

          static final int NAME

      See Also:
        Constant Field Values

    - #### NAMES

          static final int NAMES

      See Also:
        Constant Field Values

    - #### NMTOKEN

          static final int NMTOKEN

      See Also:
        Constant Field Values

    - #### NMTOKENS

          static final int NMTOKENS

      See Also:
        Constant Field Values

    - #### NOTATION

          static final int NOTATION

      See Also:
        Constant Field Values

    - #### NUMBER

          static final int NUMBER

      See Also:
        Constant Field Values

    - #### NUMBERS

          static final int NUMBERS

      See Also:
        Constant Field Values

    - #### NUTOKEN

          static final int NUTOKEN

      See Also:
        Constant Field Values

    - #### NUTOKENS

          static final int NUTOKENS

      See Also:
        Constant Field Values

    - #### RCDATA

          static final int RCDATA

      See Also:
        Constant Field Values

    - #### EMPTY

          static final int EMPTY

      See Also:
        Constant Field Values

    - #### MODEL

          static final int MODEL

      See Also:
        Constant Field Values

    - #### ANY

          static final int ANY

      See Also:
        Constant Field Values

    - #### FIXED

          static final int FIXED

      See Also:
        Constant Field Values

    - #### REQUIRED

          static final int REQUIRED

      See Also:
        Constant Field Values

    - #### CURRENT

          static final int CURRENT

      See Also:
        Constant Field Values

    - #### CONREF

          static final int CONREF

      See Also:
        Constant Field Values

    - #### IMPLIED

          static final int IMPLIED

      See Also:
        Constant Field Values

    - #### PUBLIC

          static final int PUBLIC

      See Also:
        Constant Field Values

    - #### SDATA

          static final int SDATA

      See Also:
        Constant Field Values

    - #### PI

          static final int PI

      See Also:
        Constant Field Values

    - #### STARTTAG

          static final int STARTTAG

      See Also:
        Constant Field Values

    - #### ENDTAG

          static final int ENDTAG

      See Also:
        Constant Field Values

    - #### MS

          static final int MS

      See Also:
        Constant Field Values

    - #### MD

          static final int MD

      See Also:
        Constant Field Values

    - #### SYSTEM

          static final int SYSTEM

      See Also:
        Constant Field Values

    - #### GENERAL

          static final int GENERAL

      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      See Also:
        Constant Field Values

    - #### PARAMETER

          static final int PARAMETER

      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.